Loading...
Searching...
No Matches
applier.hpp File Reference

Helper class for abstracting differences between inverse operators and preconditioners in DUNE. More...

`#include <dune/istl/solver.hh>`
`#include <opm/elasticity/matrixops.hpp>`

Go to the source code of this file.

## Classes

struct | Opm::Elasticity::OperatorApplier< T >
| Class abstracting a preconditioner or an inverse operator. More...

## Namespaces

namespace | Opm
| Inverting small matrices.

## Typedefs

typedef OperatorApplier< Dune::InverseOperator< Vector, Vector > > | Opm::Elasticity::InverseApplier
typedef OperatorApplier< Dune::Preconditioner< Vector, Vector > > | Opm::Elasticity::PreApplier

## Detailed Description

Helper class for abstracting differences between inverse operators and preconditioners in DUNE.

Date
  Dec 22 2012

Author
  Arne Morten Kvarving / SINTEF